[IronPython] Building IronPython/IronRuby for Mono?

Doug Blank doug.blank at gmail.com
Tue Mar 22 08:19:12 PDT 2011


On Tue, Mar 22, 2011 at 11:03 AM, Jeff Hardy <jdhardy at gmail.com> wrote:
> On Tue, Mar 22, 2011 at 7:33 AM, Doug Blank <doug.blank at gmail.com> wrote:
>> Is that you need Mono 2.8 to build IronPython, or to run it?
>> IronPython2.6 beta 2 is running fine under Mono 2.6.7.
>
> IronPython 2.7 requires .NET 4 (to build and run). Mono 2.10 is
> probably your best bet.

Is there a place on IronPython's codeplex site that we could document
this information?

Currently, there are many assumptions on:

http://ironpython.codeplex.com/wikipage?title=Respository%20Instructions&referringTitle=Home
http://ironpython.codeplex.com/wikipage?title=Contributing%20to%20IronPython&referringTitle=Home

that suggest that IronPython requires Visual Studio, Windows, etc. I
guess those wiki pages can't be edited by anyone, but if you make a
page off of those, I'd be glad to help maintain this alternate build
and run information. My codeplex id is dsblank.

-Doug

> - Jeff
>


More information about the Users mailing list